# Class ChoraIntegration

java.lang.Object
net.sf.statcvs.output.ChoraIntegration

All Implemented Interfaces:
  `WebRepositoryIntegration`

public class ChoraIntegration extends Object implements WebRepositoryIntegration
Integration of the Chora CVS Viewer

Version:
  $Id: ChoraIntegration.java,v 1.12 2008/04/02 11:22:15 benoitx Exp $
Author:
  Richard Cyganiak

## Constructor Summary

Constructors
Constructor
Description
`ChoraIntegration(String baseURL)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBaseUrl()`
`String`
`getDiffUrl(Revision oldRevision, Revision newRevision)`
Returns a URL to a diff in the web repository browser.
`String`
`getDirectoryUrl(Directory directory)`
Returns a URL to a directory in the web repository browser
`String`
`getFileHistoryUrl(VersionedFile file)`
Returns a URL to a file in the web repository browser.
`String`
`getFileViewUrl(Revision revision)`
Returns a URL to a file in the web repository browser.
`String`
`getFileViewUrl(VersionedFile file)`
Returns a URL to a file in the web repository browser.
`String`
`getName()`
Returns the name of the repository browser
`void`
`setAtticFileNames(Set atticFileNames)`
Sets the files that are "in the attic", in the CVS sense.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChoraIntegration

public ChoraIntegration(String baseURL)

Parameters:
  `baseURL` - base URL of the Chora installation

## Method Details

### getName

public String getName()
Description copied from interface: `WebRepositoryIntegration`
Returns the name of the repository browser

Specified by:
  `getName` in interface `WebRepositoryIntegration`
Returns:
  the name of the repository browser
See Also:
  - `WebRepositoryIntegration.getName()`

### getDirectoryUrl

public String getDirectoryUrl(Directory directory)
Description copied from interface: `WebRepositoryIntegration`
Returns a URL to a directory in the web repository browser

Specified by:
  `getDirectoryUrl` in interface `WebRepositoryIntegration`
Parameters:
  `directory` - the directory
Returns:
  a URL to the directory in the web repository browser
See Also:
  - `WebRepositoryIntegration.getDirectoryUrl(Directory)`

### getFileHistoryUrl

public String getFileHistoryUrl(VersionedFile file)
Description copied from interface: `WebRepositoryIntegration`
Returns a URL to a file in the web repository browser. The URL points to a history of all revisions of the file.

Specified by:
  `getFileHistoryUrl` in interface `WebRepositoryIntegration`
Parameters:
  `file` - the file
Returns:
  a URL to the file in the web repository browser
See Also:
  - `WebRepositoryIntegration.getFileHistoryUrl(VersionedFile)`

### getFileViewUrl

public String getFileViewUrl(VersionedFile file)
Description copied from interface: `WebRepositoryIntegration`
Returns a URL to a file in the web repository browser. The URL points to a representation of the file's current contents.

Specified by:
  `getFileViewUrl` in interface `WebRepositoryIntegration`
Parameters:
  `file` - the file
Returns:
  a URL to the file in the web repository browser
See Also:
  - `WebRepositoryIntegration.getFileViewUrl(VersionedFile)`

### getFileViewUrl

public String getFileViewUrl(Revision revision)
Description copied from interface: `WebRepositoryIntegration`
Returns a URL to a file in the web repository browser. The URL points to a representation of the specific revision given as a parameter.

Specified by:
  `getFileViewUrl` in interface `WebRepositoryIntegration`
Parameters:
  `revision` - the revision
Returns:
  a URL to the revision in the web repository browser
See Also:
  - `WebRepositoryIntegration.getFileViewUrl(VersionedFile)`

### getDiffUrl

public String getDiffUrl(Revision oldRevision, Revision newRevision)
Description copied from interface: `WebRepositoryIntegration`
Returns a URL to a diff in the web repository browser. Both revisions must belong to the same `VersionedFile`.

Specified by:
  `getDiffUrl` in interface `WebRepositoryIntegration`
Parameters:
  `oldRevision` - the old revision
  `newRevision` - the new revision
Returns:
  a URL to a diff
See Also:
  - `WebRepositoryIntegration.getDiffUrl(Revision, Revision)`

### setAtticFileNames

public void setAtticFileNames(Set atticFileNames)
Description copied from interface: `WebRepositoryIntegration`
Sets the files that are "in the attic", in the CVS sense. See CVS manual.

Specified by:
  `setAtticFileNames` in interface `WebRepositoryIntegration`
Parameters:
  `atticFileNames` - names of all files (`String`) in the attic
See Also:
  - `WebRepositoryIntegration.setAtticFileNames(java.util.Set)`

### getBaseUrl

public String getBaseUrl()

Specified by:
  `getBaseUrl` in interface `WebRepositoryIntegration`
Returns:
  the base Url